package org.fluttercode.demo.JsfCheckMap;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import javax.enterprise.context.RequestScoped;
import javax.inject.Named;

@Named
@RequestScoped
public class FormBean {

	private List<String> items;

	private Map<String, Boolean> checkMap = new HashMap<String, Boolean>();

	public FormBean() {
		items = new ArrayList<String>();
		items.add("Open");
		items.add("Closed");
		items.add("Pending");
		items.add("Suspended");
		items.add("In Progress");
		items.add("Rejected");

		// fill the check map up with <item, FALSE> values
		for (String item : items) {
			checkMap.put(item, Boolean.FALSE);
		}
	}

	public List<String> getItems() {
		return items;
	}

	public String getSelected() {
		String result = "";
		for (Entry<String, Boolean> entry : checkMap.entrySet()) {
			if (entry.getValue()) {
				result = result + ", " + entry.getKey();
			}
		}
		if (result.length() == 0) {
			return "";
		} else {
			return result.substring(2);
		}
	}

	public Map<String, Boolean> getCheckMap() {
		return checkMap;
	}

}
